/*
  simple control gui for a YafDecoder
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __GUIDECODER_H
#define __GUIDECODER_H

#include <qpushbt.h>

#include <qpainter.h>
#include <qlayout.h> 


#include <devices/genericStreamProducer.h>
#include <deviceWidgets/guiDevice.h>




class GuiDecoder : public GuiDevice {
  Q_OBJECT

 public:
  GuiDecoder( QWidget *parent=0, const char *name=0 );
  ~GuiDecoder();

  void setDevice(GenericStreamProducer* device);

 public slots:
  void play();
  void pause();
  void stop();

  virtual void buildGui();

 protected:
  GenericStreamProducer* producer;

  QBoxLayout * layout;
  QPushButton* pauseButton;
  QPushButton* playButton;
  QPushButton* stopButton;
};


#endif
